/**
 * @author Lee Tae Su 
 * @project builder
 * @version 1.0
 * @since 2018-07-12
 * 
 * jQuery-colockpicker에서 제공하는 colckpicker의 style을 오버라이딩합니다
 */
@import "jquery-clockpicker.min.css";

.clockpicker-popover .popover-title {
    line-height: 20px;
}

.clockpicker-popover .popover-content {
    padding: 1px;
}

/* colckpicker dialog wrap */
div.clockpicker-popover {
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    box-shadow: 0 0 5px 2px #d0d0d0;
    border: solid 1px #6930b8;
    width: 228px;
}

div.popover.bottom > .arrow {
    border-bottom-color: #6930b8;
}

div.clockpicker-popover .popover-content {
    background: #ffffff;
}

/* Plate */
div.clockpicker-plate {
    border: solid 1px #d8d8d8;
    margin: auto;
}

/* Selected Hour, Minute */
circle.clockpicker-canvas-bg {
    stroke: none;
    fill: #e5e3f4;
}

/* Selected line */
div.clockpicker-canvas line {
    stroke: #7045de;
    stroke-width: 0.5;
    stroke-linecap: round;
}

/* Bearing */
div.clockpicker-canvas-bearing, .clockpicker-canvas-fg {
    stroke: none;
    fill: black;
}

/* Clock ticks */
div.clockpicker-tick {
    font-size: 13px;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: center;
    color: #7045de;
}

/* 상단 선택된 날짜 표시 */
span.text-primary {
    color: #6930b8;
}

/* Clock picker title */
div.clockpicker-popover .popover-title {
    border-bottom: none;
    color: #363636;
    font-weight: bold;
}

/* AM, PM Button wrap area */
span.clockpicker-am-pm-block {
    text-align: center;
    display: inline-block;
    width: 100%;
}

/* AM, PM Button */
button.clockpicker-button.am-button,
button.clockpicker-button.pm-button {
    font-size: 13px;
    font-weight: bold;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: center;
    color: #b4b4b4;
    border: none;
    border-radius: 0;
}

button.clockpicker-button.pm-button {
    margin: 1px 1px 1px 8px;
}

button.clockpicker-button:hover,
button.clockpicker-button:focus,
button.clockpicker-button:active {
    font-weight: bold;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: center;
    color: #7045de;
    background-color: white;
}
